Redmine - Defect #5381

Issues of a deleted project are not deleted
2010-04-26 10:20 - gabriel scolan
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 0.9.3
Description

In version 0.9.3, it seems that when a project is deleting, the associated issues are not deleted.
One side effect of this is that there is no more possibility to delete a tracker that was only used in the deleted project, since the issues
continue existing.

Associated revisions

Revision 3693 - 2010-04-27 18:52 - Jean-Philippe Lang

Adds an assertion on issues deletion when deleting a project (#5381).

History

#1 - 2010-04-27 18:49 - Jean-Philippe Lang

A test was added in r3693 in trunk. It also passes on 0.9-stable.
Please, provide some details on how to reproduce.

#2 - 2010-05-05 08:08 - gabriel scolan

here is the scenario:

e delete all the projects in which the tracker you want to delete is used.
e try and delete the tracker from the admin interface ==> not possible
¢ check the sql db : all the issues of the deleted projects still exists.

one possible root cause could be that | deleted projects containing sub-projects.

#3 - 2010-08-08 17:48 - Jean-Baptiste Barth

Are you sure projects are deleted, not just archived ?
| cannot reproduce the problem on current trunk :

e created a tracker "EvilTracker", affected it to a project
created an issue on this project+tracker

deleted the project

deleted the tracker => ok

verified the issue is deleted => ok

| leave the issue opened as | suspect there is a defect here, but please provide minimal steps to reproduce on a frech clean install. And provide as
many details as possible.

#4 - 2013-03-17 16:21 - lvan Cenov
| tested now in trunk r11640:

1. Created a project

2. Created an issue in it

3. Deleted project

4. Refreshed the page with the issue - 404 returned -- the issue has been deleted.
May be this issue could be closed?

#5 - 2013-03-17 16:36 - Daniel Felix

- Status changed from New to Needs feedback
Did you check the database too if they are deleted too? This is one thing which is named by the author.

#6 - 2013-03-17 16:48 - Daniel Felix
- Status changed from Needs feedback to Closed

lvan commented here: http://www.redmine.org/boards/1/topics/35571 ?r=36950#message-36950

The database entries were deleted too. This is one seems to be fixed and could be closed.
